openjpa-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jeremy Bauer (JIRA)" <j...@apache.org>
Subject [jira] Resolved: (OPENJPA-1208) Set specification level based upon persistence.xml version
Date Mon, 10 Aug 2009 16:26:15 GMT

     [ https://issues.apache.org/jira/browse/OPENJPA-1208?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Jeremy Bauer resolved OPENJPA-1208.
-----------------------------------

    Resolution: Fixed

> Set specification level based upon persistence.xml version
> ----------------------------------------------------------
>
>                 Key: OPENJPA-1208
>                 URL: https://issues.apache.org/jira/browse/OPENJPA-1208
>             Project: OpenJPA
>          Issue Type: Sub-task
>          Components: jpa
>    Affects Versions: 2.0.0
>            Reporter: Jeremy Bauer
>            Assignee: Jeremy Bauer
>             Fix For: 2.0.0
>
>
> This is follow-on work to OPENJPA-857. OpenJPA will now detect the version in the persistence.xml
for a PU and set it in the configuration.  This will result in the appropriate state of various
compatibility options to be set based upon the JPA level, allowing OpenJPA 1.0 applications
to function without modifications.  In addition, integrated bean validation will be disabled
for 1.0 applications.  Otherwise, unexpected validation could occur by default within a 1.0
app if there is a validation provider in the environment.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message